(function($) {
    'use strict';

    $(document).on('click', '[data-slug="portfolio-responsive-gallery"] .deactivate a', function () {
        swal({
            html: "<h2>Do you want to upgrade to Pro version or permanently delete the plugin?</h2><ul><li>Upgrade: Your data will be saved for upgrade.</li><li>Deactivate: Your data will be deleted completely.</li></ul>",
            footer: '<a href="javascript:void(0);" class="ays-prg-temporary-deactivation">Temporary deactivation</a>',
            type: 'question',
            showCloseButton: true,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Upgrade',
            cancelButtonText: 'Deactivate',
            confirmButtonClass: "ays-prg-upgrade-button",
            cancelButtonClass: "ays-prg-cancel-button"
        }).then(function(result) {
            if( result.dismiss && result.dismiss == 'close' ){
                return false;
            }

            var wp_nonce = $(document).find('#ays_prg_ajax_deactivate_plugin_nonce').val();

            let upgrade_plugin = false;
            if (result.value) upgrade_plugin = true;


            let data = {
                action: 'prg_deactivate_plugin_option',
                upgrade_plugin: upgrade_plugin,
                _ajax_nonce: wp_nonce,
            };
            $.ajax({
                url: apm_admin_ajax_obj.ajaxUrl,
                dataType: 'json',
                method: 'post',
                data: data,
                success:function() {
                    window.location = $(document).find('[data-slug="portfolio-responsive-gallery"]').find('.deactivate').find('a').attr('href');                    
                }
            });
        });
        return false;
    });
    $(document).on('click', '.ays-prg-temporary-deactivation', function (e) {
        e.preventDefault();
        $(document).find('.ays-prg-upgrade-button').trigger('click');
    });
})(jQuery);

